/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the yifu4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */
package com.yifu.cloud.plus.v1.yifu.archives.vo;

import com.yifu.cloud.plus.v1.yifu.archives.entity.TEmployeeProject;
import lombok.Data;

import java.io.Serializable;

/**
 * 项目档案更新记录需要的信息
 *
 * @author huyc
 * @date 2022-06-20 17:54:40
 */
@Data
public class EmployeeProjectNewOldVO implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 变更前的项目档案
	 */
	private TEmployeeProject oldProjectEmployee;

	/**
	 * 变更后的项目档案
	 */
	private TEmployeeProject newProjectEmployee;

}
