/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the yifu4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */

package com.yifu.cloud.plus.v1.yifu.archives.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yifu.cloud.plus.v1.yifu.archives.entity.FddPersonAccount;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 法大大个人实名认证表
 *
 * @author huyc
 * @date 2022-06-28 16:24:12
 */
@Mapper
public interface FddPersonAccountMapper extends BaseMapper<FddPersonAccount> {

	/**
	 * 法大大个人实名认证表简单分页查询
	 * @param fddPersonAccount 法大大个人实名认证表
	 * @return
	 */
	IPage<FddPersonAccount> getFddPersonAccountPage(Page<FddPersonAccount> page, @Param("fddPersonAccount") FddPersonAccount fddPersonAccount);

	/**
	 * 移除员工
	 * @param id
	 * @param unionIds
	 * @return
	 */
	int delEmployee(@Param("id")String id,@Param("unionIds") String unionIds);
}
