/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the yifu4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */

package com.yifu.cloud.plus.v1.yifu.archives.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fadada.api.bean.req.BaseReq;
import com.fadada.api.bean.rsp.BaseRsp;
import com.yifu.cloud.plus.v1.yifu.archives.entity.FddReqLog;
import org.apache.ibatis.annotations.Param;

/**
 * 法大大日志记录表
 *
 * @author fxj
 * @date 2022-06-28 16:24:12
 */
public interface FddReqLogService extends IService<FddReqLog> {

	/**
	 * 法大大日志记录表简单分页查询
	 * @param fddReqLog 法大大日志记录表
	 * @return
	 */
	IPage<FddReqLog> getFddReqLogPage(Page<FddReqLog> page, @Param("fddReqLog") FddReqLog fddReqLog);

	/**
	 * 保存记录
	 * @param className
	 * @param methodName
	 * @param req
	 * @param rsp
	 * @return
	 */
	void saveLog(String className, String methodName, BaseReq req, BaseRsp rsp);

}
