package com.yifu.cloud.plus.v1.yifu.insurances.vo;

import com.yifu.cloud.plus.v1.yifu.common.mybatis.base.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.checkerframework.common.value.qual.IntVal;
import org.checkerframework.common.value.qual.StringVal;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author zhaji
 * @description 导出减员办理请求参数
 * @date 2022-07-26 15:53:56
 */
@Data
@Schema(description = "导出减员办理请求参数")
public class RefundExportListParam extends BaseEntity implements Serializable {
	private static final long serialVersionUID = 3623027153213352936L;

	/**
	 * 减员状态 1待减员 2减员中 3减员退回 4减员成功
	 */
	@Schema(description = "减员状态 1待减员 2减员中 4减员成功")
	@NotNull(message = "减员状态不能为空")
	@IntVal({1,2,4})
	private Integer reduceHandleStatus;

	/**
	 * 员工姓名
	 */
	@Schema(description = "员工姓名")
	private String empName;

	/**
	 * 员工身份证号
	 */
	@Schema(description = "员工身份证号")
	private String empIdcardNo;

	/**
	 * 项目编码
	 */
	@Schema(description = "项目编码")
	private String deptNo;

	/**
	 * 保险公司名称
	 */
	@Schema(description = "保险公司名称")
	private String insuranceCompanyName;

	/**
	 * 险种名称
	 */
	@Schema(description = "险种名称")
	private String insuranceTypeName;

	/**
	 * 商险id集合
	 */
	@Schema(description = "商险id集合")
	private List<String> idList;

}
