package com.yifu.cloud.plus.v1.yifu.insurances.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author zhaji
 * @description 结算信息推送类
 * @date 2022-08-05 10:32:16
 */
@Data
public class TInsuranceSettlePushParam{

	/**
	 * 单据类型 200 单选（1,预估单，2,实缴单，3,差异单）
	 */
	@Schema(description = "单据类型")
	private Integer	fd_3adfe6af71a1cc;

	/**
	 * 交易类型 200
	 */
	@Schema(description = "交易类型 1新增结算单,2作废结算信息,3更新保单信息")
	private Integer	fd_3af9197b31071c;

	/**
	 * 项目编码 200
	 */
	@Schema(description = "项目编码")
	private String	fd_3adfe658c6229e;

	/**
	 * 项目名称 200
	 */
	@Schema(description = "项目名称")
	private String	fd_3adfe6592b4158;

	/**
	 * 客户编码 200
	 */
	@Schema(description = "客户编码")
	private String	fd_3adfe6598281e8;

	/**
	 * 客户名称 200
	 */
	@Schema(description = "客户名称")
	private String	fd_3adfe7a2688902;

	/**
	 * 发生日期 	"xxxx--xx--xx"
	 */
	@Schema(description = "发生日期")
	@JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
	private String fd_3adfe67c24dace;

	/**
	 * 姓名 200
	 */
	@Schema(description = "姓名")
	private String	fd_3adfe65d759650;

	/**
	 * 身份证号 200
	 */
	@Schema(description = "身份证号")
	private String	fd_3adfe65dbd9f68;

	/**
	 * 发票号 200
	 */
	@Schema(description = "发票号")
	private String	fd_3adfe65e0cd094;

	/**
	 * 险种 200
	 */
	@Schema(description = "险种")
	private String	fd_3adfe65f6599e4;

	/**
	 * 保险公司 200
	 */
	@Schema(description = "保险公司")
	private String	fd_3adfe65ea04728;

	/**
	 * 保单号 200
	 */
	@Schema(description = "保单号")
	private String	fd_3adfe65e60e110;

	/**
	 * 保险开始日期 "xxxx--xx--xx"
	 */
	@Schema(description = "保险开始日期")
	@JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
	private String fd_3adfe6b7e0ede8;

	/**
	 * 保险结束日期 "xxxx--xx--xx"
	 */
	@Schema(description = "保险结束日期")
	@JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
	private String fd_3adfe6b847bfe6;

	/**
	 * 购买标准 精确到小数点后两位
	 */
	@Schema(description = "购买标准")
	private String	fd_3adfe6d55384c6;

	/**
	 * 实际保费 精确到小数点后两位
	 */
	@Schema(description = "实际保费")
	private String fd_3adfe6610c0d2c;

	/**
	 * 医保 精确到小数点后两位
	 */
	@Schema(description = "医保")
	private String	fd_3adfe66041a996;

	/**
	 * 事故或残疾 200
	 */
	@Schema(description = "事故或残疾")
	private String	fd_3adfe6609aa810;

	/**
	 * 预估保费（应收） 精确到小数点后两位
	 */
	@Schema(description = "预估保费")
	private String	fd_3adfe6e30f2a3c;

	/**
	 * 结算月份 200
	 */
	@Schema(description = "结算月份")
	private String	fd_3aea2f0180eccc;

	/**
	 * 商险ID 200
	 */
	@Schema(description = "商险ID（商险id_结算id）")
	private String	fd_3afa8a70006bea;


}
