package com.yifu.cloud.plus.v1.yifu.insurances.service.insurance;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yifu.cloud.plus.v1.yifu.common.core.util.R;
import com.yifu.cloud.plus.v1.yifu.insurances.entity.TInsuranceTypeRate;

import java.util.List;

/**
* @author Administrator
* @description 针对表【t_insurance_type_rate(费率表)】的数据库操作Service
* @createDate 2022-07-18 17:19:33
*/
public interface TInsuranceTypeRateService extends IService<TInsuranceTypeRate> {

	/**
	 * 根据险种id查询费率列表
	 *
	 * @author zhaji
	 * @param id
	 * @return {@link List< TInsuranceTypeRate>}
	 */
	R getInsuranceTypeRateList(String id);

	/**
	 * 删除费率
	 *
	 * @author zhaji
	 * @param id 费率id
	 * @return {@link R}
	 */
	R deleteInsuranceTypeRate(String id);

	/**
	 * 新增费率
	 *
	 * @author zhaji
	 * @param insuranceTypeRate
	 * @return {@link R}
	 */
	R saveInsuranceTypeRate(TInsuranceTypeRate insuranceTypeRate);
}
