/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the yifu4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */

package com.yifu.cloud.plus.v1.yifu.salary.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yifu.cloud.plus.v1.yifu.salary.entity.TStatisticsTaxSalaryRule;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
/**
 * 个税申报手动刷新限制表
 *
 * @author hgw
 * @date 2022-08-05 11:40:14
 */
@Mapper
public interface TStatisticsTaxSalaryRuleMapper extends BaseMapper<TStatisticsTaxSalaryRule> {
    /**
     * 个税申报手动刷新限制表简单分页查询
     * @param tStatisticsTaxSalaryRule 个税申报手动刷新限制表
     * @return
     */
    IPage<TStatisticsTaxSalaryRule> getTStatisticsTaxSalaryRulePage(Page<TStatisticsTaxSalaryRule> page, @Param("tStatisticsTaxSalaryRule") TStatisticsTaxSalaryRule tStatisticsTaxSalaryRule);

	/**
	 * 单个查询
	 *
	 * @return
	 */
	TStatisticsTaxSalaryRule getTStatisticsTaxSalaryRule(@Param("yearMonthDay") String yearMonthDay);

}
