/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the yifu4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */
package com.yifu.cloud.plus.v1.yifu.salary.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yifu.cloud.plus.v1.yifu.salary.entity.TPauseSalary;
import com.yifu.cloud.plus.v1.yifu.salary.mapper.TPauseSalaryMapper;
import com.yifu.cloud.plus.v1.yifu.salary.service.TPauseSalaryService;
import com.yifu.cloud.plus.v1.yifu.salary.vo.TPauseSalarySearchVo;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Service;
/**
 * 暂停发表
 *
 * @author hgw
 * @date 2022-08-05 11:40:14
 */
@Log4j2
@Service
public class TPauseSalaryServiceImpl extends ServiceImpl<TPauseSalaryMapper, TPauseSalary> implements TPauseSalaryService {
    /**
     * 暂停发表简单分页查询
     * @param tPauseSalary 暂停发表
     * @return
     */
    @Override
    public IPage<TPauseSalary> getTPauseSalaryPage(Page<TPauseSalary> page, TPauseSalarySearchVo tPauseSalary){
        return baseMapper.getTPauseSalaryPage(page,tPauseSalary);
    }

}
